#!/bin/bash
OUT_PATH=./test/output

# output metrics used for validation in this file is aligned with pcap(s)
# used to simulate neighbor

function verify_file()
{
	diff -q ${OUT_PATH}/${1} ${2} >/dev/null 2>&1

	if [ "$?" -eq 0 ]; then
		echo "PASS"
	else
		echo "Output differs"
		cat ${2}
		exit 1
	fi
}

function verify_output()
{
	grep -wq "${1}" /tmp/t.log
	if [ "$?" -eq 0 ]; then
		echo "PASS"
	else
		echo "Output differs"
		cat /tmp/t.log
		exit 1
	fi
}

function verify_node()
{
	echo "Verify the added node "
	ubus call topology nodes >/tmp/t.log

	verify_output "00:22:07:6f:70:e2"
}

function verify_changelog()
{
	echo "Verify the changelog information"
	ubus call topology changelog >/tmp/t.log

	verify_output "00:22:07:6f:70:e2"
}

function verify_dump()
{
	echo "Verify the topology dump"
	ubus call topology dump >/tmp/t.log

	verify_output "00:22:07:6f:70:e2"
}

function verify_status()
{
	echo "Verify the topology status"
        ubus call topology status >/tmp/t.log

        verify_output "\"status\":\ \"available\""
}

## Call tests here
verify_node
verify_changelog
verify_dump
#verify_status
